## raster3d 2.7d

=== Makefile ===
#
# Makefile.incl is initially empty
# It gets initialized by "Make OS"
#
default: all

include Makefile.incl
include VERSION

LIBS	= $(LIBDIRS) $(CLIBS) $(TLIBS) $(JLIBS) $(SLIBS) $(PLIBS)
DEFINES	= $(GDEFS) $(IDEFS) $(TDEFS) $(JDEFS) $(SDEFS) $(PDEFS) $(OSDEFS)

FLAGS	= $(INCDIRS) $(DEFINES)

PROGS   = avs2ps balls rastep render ribbon rings3d rods normal3d
SCRIPTS = label3d stereo3d

clean:	
	rm -f *.o $(PROGS) core *~

distclean: clean
	rm -f Makefile.incl 
	touch Makefile.incl
	if [ -e render.f.bak ] ; then mv -f render.f.bak render.f; fi
	if [ -e normal3d.f.bak ] ; then mv -f normal3d.f.bak normal3d.f; fi
	if [ -e rastep.f.bak ] ; then mv -f rastep.f.bak rastep.f; fi
	if [ -e aix-patch ] ; then rm -f aix-patch; fi
	exit 0

help:
	@if test "$(OS)" ; \
	then \
		echo "Making Raster3D $(VERSION) for $(OS)" ; \
	else \
	echo "" ; \
	echo "Please start by typing '"make OS"', where OS is one of" ; \
	echo "	linux linux-gfortran linux-pgf77 linux-ppc dec sun sun-forte irix5 irix6 cygwin aix hpux" ; \
	echo "If your OS is not shown but you have g77/gcc installed, try" ; \
	echo "	make linux" ; \
	echo "" ; \
	echo "If all goes well, you can now type 'make' to build the programs" ; \
	echo "followed by 'make install' (probably as root) to install them" ;\
	exit 1 ; \
	fi

#
# OS-specific initializations
#
linux:	strip-for-g77
	@cp Makefile.template Makefile.incl
	@echo OS = linux                      >> Makefile.incl
	@echo CC = gcc                        >> Makefile.incl
	@echo CFLAGS = -g -w                  >> Makefile.incl
	@echo FC = g77                        >> Makefile.incl
	@echo FFLAGS = -g -O -w -malign-double>> Makefile.incl
	@echo RM = /bin/rm -f                 >> Makefile.incl
	@echo OSDEFS =  -DLINUX -DNETWORKBYTEORDER       >> Makefile.incl
	@echo include Makefile.package        >> Makefile.incl

linux-gfortran:	strip-for-g77
	@cp Makefile.template Makefile.incl
	@echo OS = linux                      >> Makefile.incl
	@echo CC = gcc                        >> Makefile.incl
	@echo CFLAGS = -g -w -Dgfortran       >> Makefile.incl
	@echo FC = gfortran                   >> Makefile.incl
	@echo FFLAGS = -g -w -O -ffixed-line-length-132 >> Makefile.incl
	@echo RM = /bin/rm -f                 >> Makefile.incl
	@echo OSDEFS =  -DLINUX -DNETWORKBYTEORDER       >> Makefile.incl
	@echo include Makefile.package        >> Makefile.incl

linux-pgf77:
	@cp Makefile.template Makefile.incl
	@echo OS = linux-pgf77                >> Makefile.incl
	@echo CC = gcc                        >> Makefile.incl
	@echo CFLAGS = -g -m486 -w            >> Makefile.incl
	@echo FC = pgf77                      >> Makefile.incl
	@echo FFLAGS = -O -Munroll            >> Makefile.incl
	@echo RM = /bin/rm -f                 >> Makefile.incl
	@echo OSDEFS = -DLINUX -DNETWORKBYTEORDER        >> Makefile.incl
	@echo include Makefile.package        >> Makefile.incl

linux-ppc:     strip-for-g77
	@cp Makefile.template Makefile.incl
	@echo OS = linux-ppc                  >> Makefile.incl
	@echo CC = gcc                        >> Makefile.incl
	@echo CFLAGS = -g -O2 -fsigned-char   >> Makefile.incl
	@echo FC = g77                        >> Makefile.incl
	@echo FFLAGS = -g -O2 -fsigned-char   >> Makefile.incl
	@echo RM = /bin/rm -f                 >> Makefile.incl
	@echo OSDEFS =  -DLINUX -DNETWORKBYTEORDER       >> Makefile.incl
	@echo include Makefile.package        >> Makefile.incl

irix5:	
	@cp Makefile.template Makefile.incl
	@echo OS=irix5 >> Makefile.incl
	@echo SHELL=/bin/sh >> Makefile.incl
	@echo CC = cc                         >> Makefile.incl
	@echo CFLAGS = -g -w                  >> Makefile.incl
	@echo FC = f77                        >> Makefile.incl
	@echo FFLAGS = -O -Olimit 4500        >> Makefile.incl
	@echo RM = /bin/rm -f                 >> Makefile.incl

irix6:	
	@cp Makefile.template Makefile.incl
	@echo OS=irix6 >> Makefile.incl
	@echo SHELL=/bin/sh >> Makefile.incl
	@echo CC = cc -n32                    >> Makefile.incl
	@echo CFLAGS = -g -w                  >> Makefile.incl
	@echo FC = f77                        >> Makefile.incl
	@echo FFLAGS = -O -n32 -OPT:Olimit=4500 >> Makefile.incl
	@echo LDFLAGS = -L/usr/lib32          >> Makefile.incl
	@echo RM = /bin/rm -f                 >> Makefile.incl

dec:	
	@cp Makefile.template Makefile.incl
	@echo OS=dec >> Makefile.incl
	@echo CC = cc                         >> Makefile.incl
	@echo CFLAGS = -O -w                  >> Makefile.incl
	@echo FC = f77                        >> Makefile.incl
	@echo FFLAGS = -O -static -fast -r8   >> Makefile.incl
	@echo RM = /bin/rm -f                 >> Makefile.incl
	@echo OSDEFS = -DNETWORKBYTEORDER     >> Makefile.incl
	@echo include Makefile.package        >> Makefile.incl

aix:	aix-patch strip-for-g77
	@cp Makefile.template Makefile.incl
	@echo OS=aix >> Makefile.incl
	@echo CC = cc                         >> Makefile.incl
	@echo CFLAGS = -g                     >> Makefile.incl
	@echo FC = xlf -qqcount -w            >> Makefile.incl
	@echo FFLAGS = -O -qtkq_size=2000 -qintlog -qsave  >> Makefile.incl
	@echo LDFLAGS = -lz -bloadmap:loadmap.lis          >> Makefile.incl
	@echo RM = /bin/rm -f                 >> Makefile.incl
	@echo OSDEFS = -Dlocal_=local -Dungz_=ungz >> Makefile.incl
aix-patch: 
	patch render.f < render_patch.aix
	mv render.f.orig render.f.bak
	@touch aix-patch

sun:	strip-for-g77
	@cp Makefile.template Makefile.incl
	@echo OS = sun                        >> Makefile.incl
	@echo CC = gcc                        >> Makefile.incl
	@echo CFLAGS = -O                     >> Makefile.incl
	@echo FC = g77                        >> Makefile.incl
	@echo FFLAGS = -O                     >> Makefile.incl
	@echo RM = /bin/rm -f                 >> Makefile.incl
	@echo LDFLAGS = -L/usr/local/lib/gcc-lib/sparc-sun-sunos4.1.3_U1/2.6.2 -lgcc >> Makefile.incl

sun-forte:	strip-for-g77
	@cp Makefile.template Makefile.incl
	@echo OS = sun                        >> Makefile.incl
	@echo CC = cc                         >> Makefile.incl
	@echo CFLAGS = -fast -`fpversion -foption`       >> Makefile.incl
	@echo FC = f77                        >> Makefile.incl
	@echo FFLAGS = \${CFLAGS}               >> Makefile.incl
	@echo RM = /bin/rm -f                 >> Makefile.incl


strip-for-g77: render.f.bak normal3d.f.bak rastep.f.bak
render.f.bak:
	mv render.f render.f.bak
	egrep -v '(CARRIAGECONTROL|DISPOSE)' render.f.bak > render.f
normal3d.f.bak:
	mv normal3d.f normal3d.f.bak
	egrep -v '(CARRIAGECONTROL|DISPOSE)' normal3d.f.bak > normal3d.f
rastep.f.bak:
	mv rastep.f rastep.f.bak
	egrep -v '(CARRIAGECONTROL|DISPOSE)' rastep.f.bak > rastep.f

#
# These source files are dependent on parameters.incl
#
FINCLS = render.o parse.o quadric.o normal3d.o
$(FINCLS):	parameters.incl

#
# Actually build the programs
#

all:	help $(PROGS)

avs2ps:	avs2ps.c
	$(CC) $(CFLAGS) $(FLAGS) $(LDFLAGS) -o avs2ps avs2ps.c -lm

balls:	balls.f
	$(FC) $(FFLAGS) -o balls balls.f 

local.o:	Makefile.incl local.c
	$(CC) $(CFLAGS) $(FLAGS) -c local.c

ungz.o:	Makefile.incl ungz.c
	$(CC) $(CFLAGS) $(GDEFS) $(OSDEFS) -c ungz.c

ribbon:	ribbon.f ribbon1.f modsubs.f
	$(FC) $(FFLAGS) $(LDFLAGS) \
	ribbon.f ribbon1.f modsubs.f -o ribbon

rastep:	rastep.f quadric.o suv.o
	$(FC) $(FFLAGS) \
	rastep.f quadric.o suv.o $(LDFLAGS) \
	-o rastep 

render:	render.o local.o quadric.o parse.o r3dtops.o ungz.o
	$(FC) $(FFLAGS) \
	render.o local.o quadric.o parse.o r3dtops.o ungz.o \
	$(LIBS) $(LDFLAGS) \
	-o render

normal3d:	normal3d.o quadric.o ungz.o parameters.incl
	$(FC) $(FFLAGS) \
	normal3d.o quadric.o ungz.o $(LDFLAGS) \
	-o normal3d

stereo3d:

label3d:

#
# Install
#
install:	all
	if [ ! -e $(prefix)  ] ; then mkdirhier $(prefix) ; fi
	if [ ! -e $(bindir)  ] ; then mkdirhier $(bindir) ; fi
	chmod 755 $(PROGS);   cp $(PROGS) $(bindir)
	chmod 755 $(SCRIPTS); cp $(SCRIPTS) $(bindir)
	if [ ! -e $(datadir) ] ; then mkdirhier $(datadir) ; fi
	cp materials/* $(datadir)
	if [ ! -e $(mandir)  ] ; then mkdirhier $(mandir) ; fi
	cp doc/*.l $(mandir)
	if [ ! -e $(htmldir) ] ; then mkdirhier $(htmldir) ; fi
	cp html/* $(htmldir)
	if [ ! -e $(examdir) ] ; then mkdirhier $(examdir) ; fi
	if [ ! -e $(examdir)/msms ] ; then mkdirhier $(examdir)/msms ; fi
	cp -R examples/* $(examdir)
	@echo ""
	@echo "	********************************************"
	@echo "	* The examples subdirectory contains input *"
	@echo "	* scripts to verify your installation and  *"
	@echo "	* to serve as examples of use.             *"
	@echo "	********************************************"

## raster3d 2.7s

=== Makefile ===
--- 
+++ 
@@ -61,9 +61,9 @@
 	@cp Makefile.template Makefile.incl
 	@echo OS = linux                      >> Makefile.incl
 	@echo CC = gcc                        >> Makefile.incl
-	@echo CFLAGS = -g -w -Dgfortran       >> Makefile.incl
+	@echo CFLAGS = -g -Wall -Dgfortran    >> Makefile.incl
 	@echo FC = gfortran                   >> Makefile.incl
-	@echo FFLAGS = -g -w -O -ffixed-line-length-132 >> Makefile.incl
+	@echo FFLAGS = -g -w -O3 -ffixed-line-length-132 >> Makefile.incl
 	@echo RM = /bin/rm -f                 >> Makefile.incl
 	@echo OSDEFS =  -DLINUX -DNETWORKBYTEORDER       >> Makefile.incl
 	@echo include Makefile.package        >> Makefile.incl

## raster3d 2.9

=== Makefile ===
--- 
+++ 
@@ -63,10 +63,14 @@
 	@echo CC = gcc                        >> Makefile.incl
 	@echo CFLAGS = -g -Wall -Dgfortran    >> Makefile.incl
 	@echo FC = gfortran                   >> Makefile.incl
-	@echo FFLAGS = -g -w -O3 -ffixed-line-length-132 >> Makefile.incl
+	@echo FFLAGS = -g -w -O3 -Wtabs -ffixed-line-length-132 >> Makefile.incl
 	@echo RM = /bin/rm -f                 >> Makefile.incl
 	@echo OSDEFS =  -DLINUX -DNETWORKBYTEORDER       >> Makefile.incl
 	@echo include Makefile.package        >> Makefile.incl
+	@echo                                 >> Makefile.incl
+	@echo qinp.o: qinp.f                  >> Makefile.incl
+	@echo "	\$$(FC) -g -O0 -Wall -Wtabs -c -o qinp.o qinp.f" >> Makefile.incl
+	@echo                                 >> Makefile.incl
 
 linux-pgf77:
 	@cp Makefile.template Makefile.incl
@@ -201,15 +205,16 @@
 	rastep.f quadric.o suv.o $(LDFLAGS) \
 	-o rastep 
 
-render:	render.o local.o quadric.o parse.o r3dtops.o ungz.o
+render:	render.o local.o quadric.o parse.o r3dtops.o ungz.o qinp.o
 	$(FC) $(FFLAGS) \
 	render.o local.o quadric.o parse.o r3dtops.o ungz.o \
+	qinp.o \
 	$(LIBS) $(LDFLAGS) \
 	-o render
 
-normal3d:	normal3d.o quadric.o ungz.o parameters.incl
+normal3d:	normal3d.o quadric.o qinp.o ungz.o parameters.incl
 	$(FC) $(FFLAGS) \
-	normal3d.o quadric.o ungz.o $(LDFLAGS) \
+	normal3d.o quadric.o ungz.o qinp.o $(LDFLAGS) \
 	-o normal3d
 
 stereo3d:
@@ -220,18 +225,18 @@
 # Install
 #
 install:	all
-	if [ ! -e $(prefix)  ] ; then mkdirhier $(prefix) ; fi
-	if [ ! -e $(bindir)  ] ; then mkdirhier $(bindir) ; fi
+	if [ ! -e $(prefix)  ] ; then mkdir -p $(prefix) ; fi
+	if [ ! -e $(bindir)  ] ; then mkdir -p $(bindir) ; fi
 	chmod 755 $(PROGS);   cp $(PROGS) $(bindir)
 	chmod 755 $(SCRIPTS); cp $(SCRIPTS) $(bindir)
-	if [ ! -e $(datadir) ] ; then mkdirhier $(datadir) ; fi
+	if [ ! -e $(datadir) ] ; then mkdir -p $(datadir) ; fi
 	cp materials/* $(datadir)
-	if [ ! -e $(mandir)  ] ; then mkdirhier $(mandir) ; fi
+	if [ ! -e $(mandir)  ] ; then mkdir -p $(mandir) ; fi
 	cp doc/*.l $(mandir)
-	if [ ! -e $(htmldir) ] ; then mkdirhier $(htmldir) ; fi
+	if [ ! -e $(htmldir) ] ; then mkdir -p $(htmldir) ; fi
 	cp html/* $(htmldir)
-	if [ ! -e $(examdir) ] ; then mkdirhier $(examdir) ; fi
-	if [ ! -e $(examdir)/msms ] ; then mkdirhier $(examdir)/msms ; fi
+	if [ ! -e $(examdir) ] ; then mkdir -p $(examdir) ; fi
+	if [ ! -e $(examdir)/msms ] ; then mkdir -p $(examdir)/msms ; fi
 	cp -R examples/* $(examdir)
 	@echo ""
 	@echo "	********************************************"

## raster3d 2.9-1

=== debian/changelog ===
raster3d (2.9-1-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Added myself to uploaders
    - Standards-Version: 3.8.4 (no changes needed)
    - debhelper >= 7
    - Removed xutils from Build-Depends
      Closes: #575855
    - Added Depends: ${misc:Depends}
  * debian/compat: 7
  * Use patch system quilt
  * Source format 3.0 (quilt)
  * debian/upstream-metadata.yaml: Reference

 -- Andreas Tille <tille@debian.org>  Tue, 30 Mar 2010 10:11:59 +0200

raster3d (2.7s-1) unstable; urgency=low

  * New upstream release;
  * Updated doc-base section;
  * Removed raster3d-2.7d-gcc4-gentoo.patch (fixed upstream).

 -- Nelson A. de Oliveira <naoliv@debian.org>  Mon, 10 Mar 2008 09:01:42 -0300

raster3d (2.7d+0-2) unstable; urgency=low

  * Updated Standards-Version;
  * Changed Maintainer to the Debian-Med Packaging Team;
  * Added new Homepage field;
  * New patch raster3d-2.7d-gcc4-gentoo.patch from Gentoo, fixing a FTBFS bug;
  * Added Vcs-* fields.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Thu, 21 Feb 2008 23:24:11 -0300

raster3d (2.7d+0-1) unstable; urgency=low

  * Upstream author released an updated source, but with the same version
    as before...
    - Fixed some issues with rastep.
  * New maintainer address;
  * Added tags on debian/control.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Thu, 14 Dec 2006 02:34:26 -0200

raster3d (2.7d-2) unstable; urgency=low

  * Rebuilt to fix dependency on uninstallable libgfortran0 (Closes: #382323);
  * debian/control: replaced "${Source-Version}" with "${source:Version}";
  * debian/raster3d-doc.doc-base: updated Raster3D version.

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Thu, 10 Aug 2006 15:41:14 -0300

raster3d (2.7d-1) unstable; urgency=low

  * New upstream version:
    - Compiling with gfortran instead g77.
  * Updated Standards-Version to 3.7.2 (no changes needed);
  * Using debhelper compatibility version 5;
  * Changed order of Depends (gs-gpl comes first now);
  * Removed patches that were applied on upstream source code
    (avs2ps.c.diff, avs2ps.l.diff, label3d.l.diff, local.c.diff,
    normal.l.diff, r3d_objects.l.diff, r3dtops.l.diff, rastep.l.diff,
    stereo3d.l.diff and ungz.c.diff);
  * Removed versioned Build-Depends on cdbs and patchutils;
  * Removed versioned Depends on imagemagick.

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Wed,  3 May 2006 13:31:37 -0300

raster3d (2.7c-5) unstable; urgency=low

  * Fix FTBFS (amd64/gcc-4.0): -malign-double makes no sense in the
    64bit mode (Closes: #314239).
    Thanks to Andreas Jochens for pointing this.

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Thu, 16 Jun 2005 19:53:59 -0300

raster3d (2.7c-4) unstable; urgency=low

  * Not using DEB_AUTO_UPDATE_DEBIAN_CONTROL of CDBS anymore;
  * Changed "gs-gpl" on Depends to "gs-afpl | gs-gpl | gs-esp".

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Thu,  2 Jun 2005 18:49:26 -0300

raster3d (2.7c-3) unstable; urgency=low

  * Wrappers for normal3d and render were not passing arguments to the real
    programs. Corrected now.

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Wed,  1 Jun 2005 18:15:44 -0300

raster3d (2.7c-2) unstable; urgency=low

  * Clarified distribution of modified version (Closes: #308973):
    - Updated copyright file;
    - Included diffs between original source code and Debian's version.
      The diffs are available at /usr/share/doc/raster3d/diffs.tar.gz
  * Updated Standards-Version to 3.6.1.1 (no modifications needed).

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Mon, 16 May 2005 16:47:29 -0300

raster3d (2.7c-1) unstable; urgency=low

  * Initial Release (Closes: #303941).

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Fri, 25 Mar 2005 17:06:13 -0300

=== debian/control ===
Source: raster3d
Section: non-free/science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Nelson A. de Oliveira <naoliv@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: cdbs, debhelper (>= 7), gfortran, libtiff4-dev, libjpeg62-dev, libpng12-dev,
 quilt
Standards-Version: 3.8.4
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/raster3d/trunk/
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/raster3d/trunk/
XS-Autobuild: yes
Homepage: http://www.bmsc.washington.edu/raster3d/raster3d.html

Package: raster3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, imagemagick, ghostscript
Suggests: raster3d-doc (= ${source:Version})
Description: tools for generating images of proteins or other molecules
 Raster3D is a set of tools for generating high quality raster images of
 proteins or other molecules. The core program renders spheres, triangles,
 cylinders, and quadric surfaces with specular highlighting, Phong shading,
 and shadowing. It uses an efficient software Z-buffer algorithm which is
 independent of any graphics hardware. Ancillary programs process atomic
 coordinates from PDB files into rendering descriptions for pictures composed
 of ribbons, space-filling atoms, bonds, ball+stick, etc. Raster3D can also be
 used to render pictures composed in other programs such as Molscript in
 glorious 3D with highlights, shadowing, etc. Output is to pixel image files
 with 24 bits of color information per pixel.

Package: raster3d-doc
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}
Recommends: raster3d (= ${source:Version}), imagemagick
Suggests: pdf-viewer, perl, www-browser
Description: documents and example files for Raster3D
 Raster3D is a set of tools for generating high quality raster images of
 proteins or other molecules. The core program renders spheres, triangles,
 cylinders, and quadric surfaces with specular highlighting, Phong shading,
 and shadowing. It uses an efficient software Z-buffer algorithm which is
 independent of any graphics hardware. Ancillary programs process atomic
 coordinates from PDB files into rendering descriptions for pictures composed
 of ribbons, space-filling atoms, bonds, ball+stick, etc. Raster3D can also be
 used to render pictures composed in other programs such as Molscript in
 glorious 3D with highlights, shadowing, etc. Output is to pixel image files
 with 24 bits of color information per pixel.
 .
 This package contains documents and example files for the raster3d package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_DESTDIR = $(CURDIR)/debian/tmp
DEB_MAKE_CLEAN_TARGET    := clean
DEB_MAKE_INSTALL_TARGET := install prefix=$(DEB_DESTDIR)
DEB_INSTALL_CHANGELOGS_raster3d := CHANGELOG
DEB_INSTALL_DOCS_ALL :=
DEB_COMPRESS_EXCLUDE := .pdb .r3d .mol

cleanbuilddir::
	rm -f debian/diffs.tar

makebuilddir/raster3d::
	mkdir debian/tmp
	cd debian/patches/ && tar -cf ../diffs.tar *.diff *.patch || true

configure/raster3d::
	$(MAKE) linux-gfortran

=== debian/watch ===
version=3
opts="dversionmangle=s/\+.*//" \
http://skuld.bmsc.washington.edu/raster3d/Raster3D-(.*)\.tar\.gz

# http://www.bmsc.washington.edu/raster3d/Raster3D_(.*)\.tar\.gz

## raster3d 2.9-2

=== debian/changelog ===
raster3d (2.9-2-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.1 (no changes needed)
  * Fixed watch file
  * debian/rules: DEB_COMPRESS_EXCLUDE := .pdf

 -- Andreas Tille <tille@debian.org>  Tue, 16 Nov 2010 17:01:25 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Andreas Tille <tille@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), gfortran, libtiff4-dev, libjpeg62-dev, libpng12-dev,
  quilt
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/raster3d/trunk/
 Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/raster3d/trunk/
 XS-Autobuild: yes

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 DEB_MAKE_INSTALL_TARGET := install prefix=$(DEB_DESTDIR)
 DEB_INSTALL_CHANGELOGS_raster3d := CHANGELOG
 DEB_INSTALL_DOCS_ALL :=
-DEB_COMPRESS_EXCLUDE := .pdb .r3d .mol
+DEB_COMPRESS_EXCLUDE := .pdb .r3d .mol .pdf
 
 cleanbuilddir::
 	rm -f debian/diffs.tar

## raster3d 3.0

=== Makefile ===
--- 
+++ 
@@ -7,23 +7,27 @@
 include Makefile.incl
 include VERSION
 
-LIBS	= $(LIBDIRS) $(CLIBS) $(TLIBS) $(JLIBS) $(SLIBS) $(PLIBS)
-DEFINES	= $(GDEFS) $(IDEFS) $(TDEFS) $(JDEFS) $(SDEFS) $(PDEFS) $(OSDEFS)
+NAME    = Raster3D_3.0-8
+TARFILE = $(NAME).tar.gz
+
+LIBS	= $(LIBDIRS) $(CLIBS) $(TLIBS) $(GDLIBS) $(SLIBS)
+DEFINES	= $(GDEFS) $(IDEFS) $(TDEFS) $(GDDEFS) $(SDEFS) $(OSDEFS)
 
 FLAGS	= $(INCDIRS) $(DEFINES)
 
 PROGS   = avs2ps balls rastep render ribbon rings3d rods normal3d
-SCRIPTS = label3d stereo3d
+SCRIPTS = stereo3d worms
+
 
 clean:	
 	rm -f *.o $(PROGS) core *~
+	rm -f render_small render_small.f parse_small.f qinp_small.f parameters_small.incl
+	rm -f lists.mod
+	$(MAKE) -C examples clean
 
 distclean: clean
 	rm -f Makefile.incl 
 	touch Makefile.incl
-	if [ -e render.f.bak ] ; then mv -f render.f.bak render.f; fi
-	if [ -e normal3d.f.bak ] ; then mv -f normal3d.f.bak normal3d.f; fi
-	if [ -e rastep.f.bak ] ; then mv -f rastep.f.bak rastep.f; fi
 	if [ -e aix-patch ] ; then rm -f aix-patch; fi
 	exit 0
 
@@ -34,8 +38,8 @@
 	else \
 	echo "" ; \
 	echo "Please start by typing '"make OS"', where OS is one of" ; \
-	echo "	linux linux-gfortran linux-pgf77 linux-ppc dec sun sun-forte irix5 irix6 cygwin aix hpux" ; \
-	echo "If your OS is not shown but you have g77/gcc installed, try" ; \
+	echo "	linux linux-pgf77 linux-ifort dec osx-intel osx-fink sun sun-forte irix5 irix6 cygwin aix hpux" ; \
+	echo "If your OS is not shown but you have gfortran installed, try" ; \
 	echo "	make linux" ; \
 	echo "" ; \
 	echo "If all goes well, you can now type 'make' to build the programs" ; \
@@ -46,31 +50,32 @@
 #
 # OS-specific initializations
 #
-linux:	strip-for-g77
+
+linux:	
 	@cp Makefile.template Makefile.incl
 	@echo OS = linux                      >> Makefile.incl
 	@echo CC = gcc                        >> Makefile.incl
-	@echo CFLAGS = -g -w                  >> Makefile.incl
-	@echo FC = g77                        >> Makefile.incl
-	@echo FFLAGS = -g -O -w -malign-double>> Makefile.incl
+	@echo CFLAGS = -g -Wall -Dgfortran    >> Makefile.incl
+	@echo FC = gfortran -std=legacy       >> Makefile.incl
+	@echo FFLAGS = -g -w -O3 -Wno-tabs -ffixed-line-length-132 >> Makefile.incl
 	@echo RM = /bin/rm -f                 >> Makefile.incl
 	@echo OSDEFS =  -DLINUX -DNETWORKBYTEORDER       >> Makefile.incl
 	@echo include Makefile.package        >> Makefile.incl
-
-linux-gfortran:	strip-for-g77
+	@echo                                 >> Makefile.incl
+	@echo qinp.o: qinp.f                  >> Makefile.incl
+	@echo "	\$$(FC) -g -O0 -Wall -Wno-tabs -c -o qinp.o qinp.f" >> Makefile.incl
+	@echo                                 >> Makefile.incl
+
+linux-ifort:
 	@cp Makefile.template Makefile.incl
 	@echo OS = linux                      >> Makefile.incl
 	@echo CC = gcc                        >> Makefile.incl
-	@echo CFLAGS = -g -Wall -Dgfortran    >> Makefile.incl
-	@echo FC = gfortran                   >> Makefile.incl
-	@echo FFLAGS = -g -w -O3 -Wtabs -ffixed-line-length-132 >> Makefile.incl
+	@echo CFLAGS = -g -Wall               >> Makefile.incl
+	@echo FC = ifort                      >> Makefile.incl
+	@echo FFLAGS = -g -w -O3 -132 -static-intel >> Makefile.incl
 	@echo RM = /bin/rm -f                 >> Makefile.incl
 	@echo OSDEFS =  -DLINUX -DNETWORKBYTEORDER       >> Makefile.incl
 	@echo include Makefile.package        >> Makefile.incl
-	@echo                                 >> Makefile.incl
-	@echo qinp.o: qinp.f                  >> Makefile.incl
-	@echo "	\$$(FC) -g -O0 -Wall -Wtabs -c -o qinp.o qinp.f" >> Makefile.incl
-	@echo                                 >> Makefile.incl
 
 linux-pgf77:
 	@cp Makefile.template Makefile.incl
@@ -83,16 +88,39 @@
 	@echo OSDEFS = -DLINUX -DNETWORKBYTEORDER        >> Makefile.incl
 	@echo include Makefile.package        >> Makefile.incl
 
-linux-ppc:     strip-for-g77
-	@cp Makefile.template Makefile.incl
-	@echo OS = linux-ppc                  >> Makefile.incl
-	@echo CC = gcc                        >> Makefile.incl
-	@echo CFLAGS = -g -O2 -fsigned-char   >> Makefile.incl
-	@echo FC = g77                        >> Makefile.incl
-	@echo FFLAGS = -g -O2 -fsigned-char   >> Makefile.incl
-	@echo RM = /bin/rm -f                 >> Makefile.incl
-	@echo OSDEFS =  -DLINUX -DNETWORKBYTEORDER       >> Makefile.incl
-	@echo include Makefile.package        >> Makefile.incl
+osx-intel:	
+	@cp Makefile.template Makefile.incl
+	@echo OS = osx                        >> Makefile.incl
+	@echo CC = icc                        >> Makefile.incl
+	@echo CFLAGS = -g -Wall               >> Makefile.incl
+	@echo FC = ifort                      >> Makefile.incl
+	@echo FFLAGS = -g -w -O3 -132         >> Makefile.incl
+	@echo RM = /bin/rm -f                 >> Makefile.incl
+	@echo OSDEFS =  -DOSX -DNETWORKBYTEORDER       >> Makefile.incl
+	@echo include Makefile.package        >> Makefile.incl
+	@echo                                 >> Makefile.incl
+	@echo qinp.o: qinp.f                  >> Makefile.incl
+	@echo "	\$$(FC) -g -O0 -w -132 -c -o qinp.o qinp.f" >> Makefile.incl
+	@echo                                 >> Makefile.incl
+
+osx-fink:	
+	@cp Makefile.template Makefile.incl
+	@echo .NOTPARALLEL:                   >> Makefile.incl
+	@echo                                 >> Makefile.incl
+	@echo OS = osx                        >> Makefile.incl
+	@echo CC = /sw/bin/gcc-4              >> Makefile.incl
+	@echo INCDIRS = -I/sw/include         >> Makefile.incl
+	@echo LIBDIRS = -L/sw/lib             >> Makefile.incl
+	@echo CFLAGS = -g -Wall -Dgfortran    >> Makefile.incl
+	@echo FC = /sw/bin/gfortran           >> Makefile.incl
+	@echo FFLAGS = -g -w -O3 -Wno-tabs -ffixed-line-length-132 >> Makefile.incl
+	@echo RM = /bin/rm -f                 >> Makefile.incl
+	@echo OSDEFS =  -DOSX -DNETWORKBYTEORDER       >> Makefile.incl
+	@echo include Makefile.package        >> Makefile.incl
+	@echo                                 >> Makefile.incl
+	@echo qinp.o: qinp.f                  >> Makefile.incl
+	@echo "	\$$(FC) -g -O0 -Wall -Wno-tabs -c -o qinp.o qinp.f" >> Makefile.incl
+	@echo                                 >> Makefile.incl
 
 irix5:	
 	@cp Makefile.template Makefile.incl
@@ -126,7 +154,7 @@
 	@echo OSDEFS = -DNETWORKBYTEORDER     >> Makefile.incl
 	@echo include Makefile.package        >> Makefile.incl
 
-aix:	aix-patch strip-for-g77
+aix:	aix-patch 
 	@cp Makefile.template Makefile.incl
 	@echo OS=aix >> Makefile.incl
 	@echo CC = cc                         >> Makefile.incl
@@ -141,7 +169,7 @@
 	mv render.f.orig render.f.bak
 	@touch aix-patch
 
-sun:	strip-for-g77
+sun:	
 	@cp Makefile.template Makefile.incl
 	@echo OS = sun                        >> Makefile.incl
 	@echo CC = gcc                        >> Makefile.incl
@@ -151,7 +179,7 @@
 	@echo RM = /bin/rm -f                 >> Makefile.incl
 	@echo LDFLAGS = -L/usr/local/lib/gcc-lib/sparc-sun-sunos4.1.3_U1/2.6.2 -lgcc >> Makefile.incl
 
-sun-forte:	strip-for-g77
+sun-forte:	
 	@cp Makefile.template Makefile.incl
 	@echo OS = sun                        >> Makefile.incl
 	@echo CC = cc                         >> Makefile.incl
@@ -160,17 +188,6 @@
 	@echo FFLAGS = \${CFLAGS}               >> Makefile.incl
 	@echo RM = /bin/rm -f                 >> Makefile.incl
 
-
-strip-for-g77: render.f.bak normal3d.f.bak rastep.f.bak
-render.f.bak:
-	mv render.f render.f.bak
-	egrep -v '(CARRIAGECONTROL|DISPOSE)' render.f.bak > render.f
-normal3d.f.bak:
-	mv normal3d.f normal3d.f.bak
-	egrep -v '(CARRIAGECONTROL|DISPOSE)' normal3d.f.bak > normal3d.f
-rastep.f.bak:
-	mv rastep.f rastep.f.bak
-	egrep -v '(CARRIAGECONTROL|DISPOSE)' rastep.f.bak > rastep.f
 
 #
 # These source files are dependent on parameters.incl
@@ -188,7 +205,7 @@
 	$(CC) $(CFLAGS) $(FLAGS) $(LDFLAGS) -o avs2ps avs2ps.c -lm
 
 balls:	balls.f
-	$(FC) $(FFLAGS) -o balls balls.f 
+	$(FC) $(FFLAGS) $(LDFLAGS) -o balls balls.f 
 
 local.o:	Makefile.incl local.c
 	$(CC) $(CFLAGS) $(FLAGS) -c local.c
@@ -205,9 +222,9 @@
 	rastep.f quadric.o suv.o $(LDFLAGS) \
 	-o rastep 
 
-render:	render.o local.o quadric.o parse.o r3dtops.o ungz.o qinp.o
+render:	render.o local.o quadric.o parse.o r3dtogd.o ungz.o qinp.o
 	$(FC) $(FFLAGS) \
-	render.o local.o quadric.o parse.o r3dtops.o ungz.o \
+	render.o local.o quadric.o parse.o r3dtogd.o ungz.o \
 	qinp.o \
 	$(LIBS) $(LDFLAGS) \
 	-o render
@@ -218,8 +235,6 @@
 	-o normal3d
 
 stereo3d:
-
-label3d:
 
 #
 # Install
@@ -245,3 +260,31 @@
 	@echo "	* to serve as examples of use.             *"
 	@echo "	********************************************"
 
+tests: all render_small
+	$(MAKE) -C examples
+	$(MAKE) -j1 -C examples compare
+
+example1.png: render_small
+	./render_small
+
+render_small: render_small.o local.o quadric.o parse_small.o r3dtogd.o ungz.o qinp_small.o
+	$(FC) $(FFLAGS) $^ $(LIBS) $(LDFLAGS) -o $@
+
+.SUFFIXES: .incl
+SMALL=10
+parameters_small.incl: parameters.incl
+	sed 's/PARAMETER *(MAXOBJ *=.*)/PARAMETER (MAXOBJ=$(SMALL))/;' $< \
+	  | sed 's/PARAMETER *(MAXDET *=.*)/PARAMETER (MAXDET=$(SMALL),MAXSDT=$(SMALL))/;' \
+	  | sed 's/PARAMETER *(MAXSHR *=.*)/PARAMETER (MAXSHR=$(SMALL),MAXSSL=$(SMALL))/;' \
+	  > $@
+
+render_small.o parse_small.o qinp_small.o: parameters_small.incl
+
+render_small.f parse_small.f qinp_small.f: %_small.f: %.f
+	sed 's/parameters.incl/parameters_small.incl/;' $< >$@
+
+dist:	clean $(TARFILE)
+
+$(TARFILE):
+	echo "make new tar file"
+	tar --directory=.. --exclude='.git' --exclude='.gitignore' -cvf $(TARFILE) Raster3D/

=== examples/Makefile ===
.SUFFIXES: .png
.NOTPARALLEL:

all: examples

EXAMPLES = example1.png example2.png example3.png example4.png example5.png \
     example6_draft.png example6_aa.png example6.png example6_alpha.png \
     example7.png example8.png example9.png

DIFFS = $(EXAMPLES:%.png=%_diff.png)

compare: $(DIFFS)

$(DIFFS): %_diff.png: %.png reference/%.png
	compare -metric PSNR $^ $@

save_reference: $(EXAMPLES)
	mkdir -p reference
	cp -f $(EXAMPLES) reference/

# If it doesn't exist, just use the normal version
../render_small:
	ln -s render ../render_small

examples: $(EXAMPLES)

example1.png: ../render_small
	R3D_LIB=../materials ../render_small -gamma 1.1 -png example1.png < example1.r3d 

example2.png: ../render_small ../balls ../rods
	cat header2.r3d plane.r3d > example2.r3d
	cat chaincolours.pdb LT.pdb | ../balls -h >> example2.r3d
	cat sugarcolours.pdb sugars.pdb | ../rods  -h >> example2.r3d
	../render_small -png example2.png < example2.r3d
	rm -f example2.r3d

example3.png: ../render_small
	../render_small -png example3.png < example3.r3d

example4.png: ../render_small
	molscript -r < example3.mol | ../render_small -png example4.png

example5.png: ../render_small
	../render_small -png example5.png < example5.r3d

example6_draft.png: ../render_small
	R3D_LIB=../materials ../render_small -size 345x345 -draft -png example6_draft.png < example6.r3d

example6_aa.png: ../render_small
	R3D_LIB=../materials ../render_small -size 345x345 -aa -png example6_aa.png < example6.r3d

example6.png: ../render_small
	R3D_LIB=../materials ../render_small -size 345x345 -png example6.png < example6.r3d

example6_alpha.png: ../render_small
	R3D_LIB=../materials ../render_small -size 345x345 -alpha -png example6_alpha.png < example6.r3d

example7.png: ../stereo3d ../render
	PATH=../:$$PATH ../stereo3d -png < example7.r3d | convert -resize 50% png:- example7.png
        
example8.png: ../balls ../ribbon ../stereo3d ../render
	cat header8.r3d > example8.r3d
	grep ' [DEFGH] ' LT.pdb | cat chaincolours.pdb - | ../balls -h >> example8.r3d
	grep ' C ' LT.pdb | ../ribbon -h -d1 >> example8.r3d
	PATH=../:$$PATH ../stereo3d -png < example8.r3d | convert -gamma 1.2 png:- example8.png
	rm -f example8.r3d

example9.png: ../rods ../rastep
	rm -rf setup.angles setup.matrix temp.tmp
	../rods < sugarG.pdb | render | convert -resize 50%x50% png:- example9a.png
	../rastep < sugarG.pdb | render | convert -resize 50%x50% png:- example9b.png
	../rastep -fancy2 -prob 30 < sugarG.pdb | render | convert -resize 50%x50% png:- example9c.png
	../rastep -fancy3 < sugarG.pdb | render | convert -resize 50%x50% png:- example9d.png
	../rastep -Bcolor 6. 26. < sugarG.pdb | render | convert -resize 50%x50% png:- example9e.png
	../rastep -fancy6 -Bcolor 6. 26. < sugarG.pdb | render | convert -resize 50%x50% png:- example9f.png
	montage -bordercolor black -borderwidth 1 -geometry 100%x100%+0+0 \
	    -label "GM1-OS" example9a.png \
	    -label "50% probability" example9b.png \
	    -label "fancy2 30% probability" example9c.png \
	    -label "fancy3" example9d.png \
	    -label "colored by B value" example9e.png \
	    -label "fancy6 for ORTEP lovers" example9f.png \
	    example9_labels.png
	montage -gamma 1.0 -geometry 100%x100%+0+0 \
	    example9a.png example9b.png example9c.png \
	    example9d.png example9e.png example9f.png \
	    example9.png
	#rm -f example9[abcdef].png

clean:
	rm -f $(EXAMPLES) $(DIFFS)
	rm -f example2.r3d example8.r3d example9[abcdef].png example9_labels.png
	rm -rf reference

## raster3d 3.0-2

=== debian/changelog ===
raster3d (3.0-2-5) unstable; urgency=low

  * debian/control:
     - Get libgd2-dev dependency straight regarding
       http://lists.alioth.debian.org/pipermail/debian-med-packaging/2013-May/019692.html
     - Remove DM-Upload-Allowed
     - Standards-Version: 3.9.4 (no changes needed)
     - Remove Nelson A. de Oliveira from Uploaders
     - cme fix dpkg-control
     - Build-Depends: s/libtiff4-dev/libtiff-dev/
       Closes: #736043
  * debian/upstream: Add more references

 -- Andreas Tille <tille@debian.org>  Sun, 19 Jan 2014 08:39:07 +0100

raster3d (3.0-2-4) unstable; urgency=low

  [ Charles Plessy ]
  * debian/upstream-metadata.yaml renamed to debian/upstream

  [ Andreas Tille ]
  * debian/control:
     - change Build-Depends of the package from libpng12-dev to libpng-dev
       Closes: #662490
     - Standards-Version: 3.9.3 (no changes needed)
  * debian/copyright:
     - Changed to DEP5 and checked via
         cme fix dpkg-copyright
     - moved extra references to debian/upstream_additional_references
  * debian/upstream: Added DOI and URL fields
  * debian/upstream_additional_references: Moved extra references
    from debian/copyright to this file.  It will be included into
    debian/upstream once is clarified how to handle more than one
    reference
  * Debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Wed, 07 Mar 2012 08:21:33 +0100

raster3d (3.0-2-3) unstable; urgency=low

  * Standards-Version: 3.9.2
  * Fixed Vcs-Svn
  * Build-Depends: libjpeg-dev instead of libjpeg62-dev
    Closes: 634284
  * Removed unneeded quilt dependency because of source format 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jul 2011 17:24:48 +0200

raster3d (3.0-2-2) unstable; urgency=low

  * Upstream changed license (Artistic 2.0) so raster3d became fit for main

 -- Andreas Tille <tille@debian.org>  Mon, 04 Apr 2011 17:20:27 +0200

raster3d (3.0-2-1) unstable; urgency=low

  * New upstream version
  * Adapted patches to new upstream version
  * Debhelper 8 (control+compat)
  * debian/rules: Droped cdbs in favour of dh because the
    cdbs rules file did not worked and claimed outdated API
  * Build-Depends: libgd2-xpm-dev

 -- Andreas Tille <tille@debian.org>  Fri, 25 Mar 2011 10:19:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: raster3d
-Section: non-free/science
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
+Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Nelson A. de Oliveira <naoliv@debian.org>,
- Andreas Tille <tille@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), gfortran, libtiff4-dev, libjpeg62-dev, libpng12-dev,
- quilt
-Standards-Version: 3.9.1
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/raster3d/trunk/
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/raster3d/trunk/
-XS-Autobuild: yes
+Build-Depends: debhelper (>= 9),
+               gfortran,
+               libgd2-dev,
+               libjpeg-dev,
+               libpng-dev,
+               libtiff-dev
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/raster3d/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/raster3d/trunk/
 Homepage: http://www.bmsc.washington.edu/raster3d/raster3d.html
 
 Package: raster3d
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, imagemagick, ghostscript
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         imagemagick,
+         ghostscript
 Suggests: raster3d-doc (= ${source:Version})
 Description: tools for generating images of proteins or other molecules
  Raster3D is a set of tools for generating high quality raster images of
@@ -30,11 +34,14 @@
  with 24 bits of color information per pixel.
 
 Package: raster3d-doc
-Section: non-free/doc
 Architecture: all
+Section: doc
 Depends: ${misc:Depends}
-Recommends: raster3d (= ${source:Version}), imagemagick
-Suggests: pdf-viewer, perl, www-browser
+Recommends: raster3d (= ${source:Version}),
+            imagemagick
+Suggests: pdf-viewer,
+          perl,
+          www-browser
 Description: documents and example files for Raster3D
  Raster3D is a set of tools for generating high quality raster images of
  proteins or other molecules. The core program renders spheres, triangles,

=== debian/watch ===
version=3
opts="dversionmangle=s/\+.*//" \
http://skuld.bmsc.washington.edu/raster3d Raster3D_(.*)\.tar\.gz

## raster3d 3.0-3

=== debian/changelog ===
raster3d (3.0-3-3) unstable; urgency=medium

  * Standards-Version: 4.1.1
  * debhelper 10
  * Build-Depends: s/libgd2-dev/libgd-dev/
  * Fix spelling
  * DEP3
  * Upstream does not support https so watch file can not be turned to https
  * hardening=+all
  * DEP5

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 20:56:50 +0200

raster3d (3.0-3-2) unstable; urgency=medium

  [ Jérémy Bobbio ]
  * Make the build reproducible:
    - Stop recording user and group when creating diffs.tar.
    Closes: #775810

  [ Andreas Tille ]
  * Fix bashism
    Closes: #772359
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2015 23:52:57 +0100

raster3d (3.0-3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 13 Apr 2014 09:22:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                gfortran,
-               libgd2-dev,
+               libgd-dev,
                libjpeg-dev,
                libpng-dev,
                libtiff-dev
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/raster3d/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/raster3d/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/raster3d.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/raster3d.git
 Homepage: http://www.bmsc.washington.edu/raster3d/raster3d.html
 
 Package: raster3d

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for raster3d using dh
# Author: Andreas Tille <tille@debian.org>
# GPL

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_clean:
	# $(MAKE) clean
	dh_clean
	rm -f debian/diffs.tar

override_dh_auto_configure:
	mkdir debian/tmp
	cd debian/patches/ && tar --owner=root --group=root --numeric-owner \
		-cf ../diffs.tar *.diff || true
	# dh_auto_configure

override_dh_auto_build:
	$(MAKE) linux

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/tmp
	find $(CURDIR)/debian/tmp -name CVS -type d -exec rm -rf \{\} \; || true

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_compress:
	dh_compress --exclude=.pdb \
		    --exclude=.r3d \
		    --exclude=.mol \
		    --exclude=.pdf

=== debian/watch ===
version=4
opts="dversionmangle=s/\+.*//" \
http://skuld.bmsc.washington.edu/raster3d Raster3D_(.*)\.tar\.gz

## raster3d 3.0-4

=== debian/changelog ===
raster3d (3.0-4-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:56:04 +0100

raster3d (3.0-4-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * No override for debian-watch-uses-insecure-uri

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jul 2019 23:35:22 +0200

raster3d (3.0-3-5) unstable; urgency=medium

  [ Piper McCorkle ]
  * Add autopkgtest
    Closes: #909709

  [ Andreas Tille ]
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Thu, 01 Nov 2018 07:49:23 +0100

raster3d (3.0-3-4) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 18 Oct 2018 14:35:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12~),
                gfortran,
                libgd-dev,
                libjpeg-dev,
                libpng-dev,
                libtiff-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/raster3d.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/raster3d.git
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/med-team/raster3d
+Vcs-Git: https://salsa.debian.org/med-team/raster3d.git
 Homepage: http://www.bmsc.washington.edu/raster3d/raster3d.html
 
 Package: raster3d

## raster3d 3.0-7

=== debian/changelog ===
raster3d (3.0-7-2) unstable; urgency=medium

  * Prevent parallel building
    Closes: #988009

 -- Andreas Tille <tille@debian.org>  Tue, 04 May 2021 08:04:15 +0200

raster3d (3.0-7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Do not install patches as docs
  * Install share/raster3d from debian/tmp
  * Remove redundant overrides from d/rules
  * Port worms script to POSIX shell and install it to /usr/bin

 -- Andreas Tille <tille@debian.org>  Wed, 30 Sep 2020 10:34:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                gfortran,
                libgd-dev,
                libjpeg-dev,
                libpng-dev,
                libtiff-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/raster3d
 Vcs-Git: https://salsa.debian.org/med-team/raster3d.git
 Homepage: http://www.bmsc.washington.edu/raster3d/raster3d.html
+Rules-Requires-Root: no
 
 Package: raster3d
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for raster3d using dh
# Author: Andreas Tille <tille@debian.org>
# GPL

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --no-parallel

override_dh_auto_build:
	$(MAKE) linux

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_compress:
	dh_compress --exclude=.pdb \
		    --exclude=.r3d \
		    --exclude=.mol \
		    --exclude=.pdf

## raster3d 3.0-8

=== debian/changelog ===
raster3d (3.0-8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0-8  (Closes: #1097773)
  * d/copyright: bump upstream copyright year.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: declare raster3d-doc Multi-Arch foreign.
  * Makefile.diff: unfuzz patch.
  * fix_bashism.patch: delete: applied upstream.
  * spelling.patch: delete: applied upstream.
  * worms_sh.patch: delete: applied upstream.
  * d/control: remove redundant Rules-Requires-Root.
  * d/watch: upgrade to version 5 watchfile.
  * prevent_Makefile.incl_removal.patch: new.
    This patch avoids cleaning up a file expecte by dpkg-buildpackage when
    checking for the integrity of upstream source code.
  * sequence_normal3d_qinp.patch: new.
    This change fixes random build failures depending on the order in
    which make recipes are executed. (Closes: #1105671)
  * d/rules: restore ability for parallel builds.
  * d/salsa-ci.yml: disable blhc CI for now.

 -- Étienne Mollier <emollier@debian.org>  Wed, 24 Sep 2025 20:58:06 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
                libjpeg-dev,
                libpng-dev,
                libtiff-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/raster3d
 Vcs-Git: https://salsa.debian.org/med-team/raster3d.git
 Homepage: http://www.bmsc.washington.edu/raster3d/raster3d.html
-Rules-Requires-Root: no
 
 Package: raster3d
 Architecture: any
@@ -37,6 +36,7 @@
 Package: raster3d-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: raster3d (= ${source:Version}),
             imagemagick

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --no-parallel
+	dh $@
 
 override_dh_auto_build:
 	$(MAKE) linux

=== debian/watch ===
Version: 5

Source: http://skuld.bmsc.washington.edu/raster3d
Matching-Pattern: Raster3D_(.*)\.tar\.gz
Dversionmangle: s/\+.*//
